com.genesyslab.wfm8.API.service.config851

## Class CfgTeamShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgTeamShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTeamShort
      extends java.lang.Object
      implements java.io.Serializable

  "Short" Team information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmAgentsNSizeIs` Number of agents in this Team
    `protected java.lang.String` | `wmName` Team Name
    `protected int` | `wmSiteId` Site ID--identifies `CfgSite` object to which the Team belongs
    `protected int` | `wmTeamId` Team ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTeamShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmAgentsNSizeIs()` Gets the value of the wmAgentsNSizeIs property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `hashCode()`
    `void` | `setWmAgentsNSizeIs(int value)` Sets the value of the wmAgentsNSizeIs property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmTeamId(int value)` Sets the value of the wmTeamId property.
    `java.lang.String` | `toString()`
    `CfgTeamShort` | `withWmAgentsNSizeIs(int value)`
    `CfgTeamShort` | `withWmName(java.lang.String value)`
    `CfgTeamShort` | `withWmSiteId(int value)`
    `CfgTeamShort` | `withWmTeamId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTeamId

          protected int wmTeamId

      Team ID

    - #### wmSiteId

          protected int wmSiteId

      Site ID--identifies `CfgSite` object to which the Team belongs

    - #### wmName

          protected java.lang.String wmName

      Team Name

    - #### wmAgentsNSizeIs

          protected int wmAgentsNSizeIs

      Number of agents in this Team

  - ### Constructor Detail

    - #### CfgTeamShort

          public CfgTeamShort()

  - ### Method Detail

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the value of the wmTeamId property.

    - #### setWmTeamId

          public void setWmTeamId(int value)

      Sets the value of the wmTeamId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmAgentsNSizeIs

          public int getWmAgentsNSizeIs()

      Gets the value of the wmAgentsNSizeIs property.

    - #### setWmAgentsNSizeIs

          public void setWmAgentsNSizeIs(int value)

      Sets the value of the wmAgentsNSizeIs property.

    - #### withWmTeamId

          public CfgTeamShort withWmTeamId(int value)

    - #### withWmSiteId

          public CfgTeamShort withWmSiteId(int value)

    - #### withWmName

          public CfgTeamShort withWmName(java.lang.String value)

    - #### withWmAgentsNSizeIs

          public CfgTeamShort withWmAgentsNSizeIs(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.